Summary:	Simple and fun paint program for kids
Name: 		tuxpaint
Version:	0.9.16
Release:	%mkrel 1
#newer than 9.0 cvs build:
Epoch:		1
License:	GPL
Source: 	%{name}-%{version}.tar.bz2
Patch0:		tuxpaint-0.9.14-Makefile.patch
Patch1:		tuxpaint-0.9.14-show-build.patch
Patch2:		tuxpaint-0.9.15b-lin_with_libpng.diff
Group:		Graphics
URL:		http://www.newbreedsoftware.com/tuxpaint/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  png-devel freetype2-devel
BuildRequires:	gettext kdelibs-common mandriva-create-kde-mdk-menu
BuildRequires:	SDL-devel SDL_mixer-devel SDL_ttf-devel SDL_image-devel
BuildRequires:  desktop-file-utils mandriva-create-kde-mdk-menu
#for printing:
Requires: 	netpbm

%description
Tux Paint is a simple paint program gear towards young children. 
It provides a simple but entertaining interface, allows drawing
with brushes, lines, shapes, and 'stamps,' and has a 'magic' 
tool, for special effects. Loading and saving is done via a 
graphical interface, and the underlying environment's 
filesystem isn't exposed (much like programs on PDAs).

%prep
%setup -q 
#%patch0 -p1 -b .danny
#%patch1 -p1 -b .peroyvind
%patch2 -p0 -b .saispo
rm -rf `find -name CVS`

%build
%make OPTFLAGS="%{optflags}" PREFIX=/usr

%install
rm -rf %{buildroot}
make install BUILDPREFIX="%{buildroot}" PKG_ROOT="%{buildroot}" PREFIX="%{_usr}" X11_ICON_PREFIX="%{buildroot}%{_includedir}/X11/pixmaps"


%find_lang %{name}

mkdir -p %{buildroot}{%{_menudir},%{_datadir}/applications}
kdedesktop2mdkmenu.pl tuxpaint "Multimedia/Graphics" src/tuxpaint.desktop %{buildroot}%{_menudir}/%{name}
desktop-file-install	--vendor="" \
			--dir $RPM_BUILD_ROOT%{_datadir}/applications \
			--add-category="X-MandrivaLinux-Multimedia-Graphics" \
			src/tuxpaint.desktop

install -m644 data/images/icon16x16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 data/images/icon32x32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 data/images/icon48x48.png -D %{buildroot}%{_liconsdir}/%{name}.png

#rm -f $RPM_BUILD_ROOT/%_datadir/%name/images/icon*x*.png $RPM_BUILD_ROOT/%_datadir/%{name}/images/icon-win32.png

#Fix perms:
chmod -R go+r docs/

#Remove docs placed by an idiotic makefile
rm -Rf %{buildroot}/%{_datadir}/doc/%{name}
rm -Rf %{buildroot}/%{_datadir}/%{name}/images/icon32x32.xpm

%clean
rm -rf %{buildroot}

%post
%{update_menus}
#/sbin/ldconfig

%postun
%{clean_menus}
#/sbin/ldconfig

%files -f %{name}.lang
%defattr(755,root,root,755)
%{_bindir}/%{name}
%{_bindir}/%{name}-import
%defattr(644,root,root,755)
%doc docs/*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-import.1*
%lang(pl) %{_mandir}/pl/man1/%{name}.1*
%dir %{_sysconfdir}/tuxpaint
%config(noreplace) %{_sysconfdir}/tuxpaint/tuxpaint.conf
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applnk/Graphics/tuxpaint.desktop
#%{_datadir}/gnome/apps/Graphics/tuxpaint.desktop
%{_datadir}/applications/tuxpaint.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/pixmaps/*png
%{_includedir}/X11/pixmaps/tuxpaint.xpm
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png


%changelog
* Mon Dec 11 2006 Jérôme Soyer <saispo@mandriva.org> 0.9.16-1mdv2007.0
+ Revision: 94814
- Add BuildRequires

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Bunzip patches

  + Lenny Cartier <lenny@mandriva.com>
    - Update to 0.9.16
    - Import tuxpaint



* Tue Sep 05 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.15b-1mdv2007.0
- cleanups
- do parallel build
- xdg menu
- saispo:
	o 0.9.15b
	o force linking against libpng

* Mon Oct 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.14-1mdk
- 0.9.14
- regenerate P0 & P1
- parallell make is broken

* Sun Jan 04 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.13-1mdk
- 0.9.13
- fix buildrequires (lib64..)
- regenerate P0 & P1

* Wed Jun 18 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.11-1mdk
- 0.9.11
- added polish man page (I'd like to see %%find_lang able to do this in the future..:)
- don't hide build output (P1)
- macroize a little more
- get rid of CVS files

* Tue Apr 29 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.10-3mdk
- cleaned up, use more macros, be sure to own correct dirs

* Mon Mar 17 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.10-2mdk
- rm -rf buildroot before in install stage
- added kdelibs-common to buildrequires since we're using kdedesktop2mdkmenu.pl

* Mon Feb 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.10-1mdk
- 0.9.10

* Mon Feb 10 2003 Danny Tholen <obiwan@mailmij.org> 0.9.9-1mdk
- update to latest
- clean up spec a bit

* Tue Jan 21 2003 Danny Tholen <obiwan@mailmij.org> 0.9.5-1mdk
- yippie, a new version!
- split up packages

* Tue Aug 6 2002 Danny Tholen <obiwan@mailmij.org> 2002.08.23-1mdk
- New version

* Tue Aug 6 2002 Danny Tholen <obiwan@mailmij.org> 2002.08.02-2mdk
- Merged with docbook-to-man
- Build for cooker as well

* Sun Aug 4 2002 Danny Tholen <obiwan@mailmij.org> 2002.08.02-1mdk
- Mandrake package
